<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{titles.overview}">Übersicht Titel</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<header>
		<p data-th-replace="fragments/nav::nav" />
	</header>
	<main>
	<form method="post" data-th-action="@{/coredata/titles/filter}" data-th-object="${titleFilter}">
		<fieldset>
			<legend data-th-text="#{titles.filter}">Titel filtern</legend>
			<th:block data-th-replace="fragments/filter::text(field='name', prefix='titles.')" />
			<th:block data-th-replace="fragments/filter::allowArchived" />
		</fieldset>
		<p data-th-replace="fragments/snippets::filterButton" />
	</form>

	<table class="datatable">
		<caption data-th-text="#{titles.overview}">Übersicht über Titel</caption>
		<thead>
			<tr>
				<th />
				<th />
				<th data-th-text="#{titles.name}">Name</th>
				<th data-th-text="#{titles.description}">Beschreibung</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="title : ${titles}">
				<td><a data-th-replace="fragments/snippets::edit('/coredata/titles', ${title.id})"></a></td>
				<td><a data-th-replace="fragments/snippets::archive('/coredata/titles', ${title.id})"></a></td>
				<td data-th-text="${title.name}">Name</td>
				<td data-th-text="${title.description}">Beschreibung</td>
			</tr>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="4"><a data-th-href="@{/coredata/titles/create}" data-th-text="#{titles.create}">create</a></td>
			</tr>
		</tfoot>
	</table>
	</main>
	<footer></footer>
</body>
</html>